<?php
require_once"../../template/start.php";
require_once"../../template/regglobals.php";
require_once"../../template/config.php";
require_once"../../template/functions.php";
require_once"../../template/antidos.php";
require_once"../../template/cookies.php";
require_once"../../template/gzip.php";
require_once"../../template/header.php";
require_once"../../template/referer.php";
include_once"../../themes/$config_themes/index.php";
include_once"../../template/isset.php";

include "func.inc";
include "conf.inc";

$text = @file("../../local/profil/$log.prof"); 
if ($text!="")
{
$udata = explode(":||:",$text[0 ]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);
}
if(!isset($did)){echo "Не выбрана директория для загрузки";
echo"<br>
<center>[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?did=&SID=$SID'>К загрузкам</a>]<br>
[<a href='../index.php?SID=$SID'>На главную</a>]</center>";}
 else {
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103){
 echo"Привет, $log<br>";
 
$upldid="../files$did";
list($tip,$oform)=file_type(".");
if($act=="load"){
if (($_FILES['fild1']['size']) <= $max_size_scr*1024){
	$uploadedfile = $_POST['fild1'];
    $array = explode('file=', $uploadedfile);
	$tmp_name = $array[0];
	$filebase64 = $array[1];
	$filedata = base64_decode($filebase64);
	$prov = htmlspecialchars($filedata);
if((preg_match("/\bphp/i", $tmp_name)==true) or (preg_match("/\bhtm/i",$tmp_name)==true) or (preg_match("/\bphtml/i",$tmp_name)==true) or (preg_match("/else/i",$prov)) or (preg_match("/echo/i",$prov)) or (preg_match("/print/i",$prov)) or (preg_match("/base64_decode/i",$prov)) or (preg_match("/Zend/i",$prov))){
		echo "Попытка залить скрипт.<br>Так делать нельзя!!!<br><center>
       	[<a href='Upl.php?did=$did&SID=$SID'>Повторить</a>]<br></center>"; 
	}
	else{
		$name = $_POST['name'];
		$format=format($name);
		$name=str_replace(".$format","",$name);
	$uploadedfile = $_POST['fild1'];
    $array = explode('file=', $uploadedfile);
	$tmp_name = $array[0];
	$format=format($tmp_name);
	$filebase64 = $array[1];
	$filedata = base64_decode($filebase64);
    if(((array_search($format,$oform))==true)){
       	$FileName = '../files'.$did.'/'.$name.'.'.$format;
       	if (file_exists($FileName)==false){
			
    if (strlen($filebase64)) {	
		$file = @fopen($FileName, "wb");
		
	if($file){
			if(flock($file, LOCK_EX)){
			fwrite($file, $filedata);
			flock($file, LOCK_UN);
		}
		fclose($file);
	}
	if (file_exists($FileName) && filesize($FileName) == strlen($filedata))  {
		echo 'Скриншот '.$format.' к файлу '.$name.' успешно загружен!<br />';
	} else {
		echo 'Ошибка загрузки скриншота '.$format.' к файлу '.$name.'<br />';
 	}
}	
       	}
       	else echo "Скриншот $format к файлу $name уже существует. Bыберите скриншот другого формата<br><br>"; 
       } 
       else echo "Cкриншот формата $format запрещен!<br><br>";      
	}	
}
else echo "Размер скриншота $format превышает лимит";
}
else { echo "</div><div class=b>Загрузка скриншота:</div><br>";
	echo"Максимальный размер скриншота для загрузки: $max_size_scr Кб<br>
	Разрешенные форматы для загрузки скрина: ";
	foreach ($oform as $val_scr){	
		if ($val_scr!==""){
	$form_scr[] = $val_scr;
	}}	
$form_scr = implode(", " ,$form_scr);
echo "[ $form_scr ]<br>";}
		 
if($edo==1){

echo "Выберите Файл:<br>";
$odir=opendir("../files$did");
list($tip,$oform)=file_type("../files$did");
while (($fid=readdir($odir))==true){
$format=format($fid);
$nmf=str_replace(".$format","",$fid);
if ((($fid!==".")&&($fid!=="..")) and (array_search($format,$oform)==true or ($tip=="java" and $format=="jar")) and is_dir("../files$did/$fid")==false)
{$all_files[]="/$fid";}

}
closedir($odir);
echo "<form action=\"?edo=2&did=$did&SID=$SID\" method='post' enctype='multipart/form-data'>";
echo "<select name='name'>";
foreach ($all_files as $n=>$fid){$name=str_replace("/","",$fid);
echo "<option value=$name>$name</option>";}
echo "</select><br>";
echo "<input type=submit value='Далее >>'><br><br></form>";
}
if($edo==2){
$format = format($name);
$file = str_replace(".$format","",$name);
if (is_file("../files$did/$name.jpg") or is_file("../files$did/$file.jpg")){$form_scr=str_replace("jpg,","",$form_scr);}
if (is_file("../files$did/$name.jpeg") or is_file("../files$did/$file.jpeg")){$form_scr=str_replace("jpeg,","",$form_scr);}
if (is_file("../files$did/$name.png") or is_file("../files$did/$file.png")){$form_scr=str_replace("png,","",$form_scr);}
if (is_file("../files$did/$name.gif") or is_file("../files$did/$file.gif")){$form_scr=str_replace("gif,","",$form_scr);}

echo"<div class='b'>Выберите сктиншот в одном из допустимых форматов: $form_scr</div>";
echo "<form action=\"?act=load&did=$did&SID=$SID\" method='post' enctype='multipart/form-data'>";
	echo"<br>Выберите сктиншот:<br>
	<input type=hidden name=name value=$name>
         <input name='fild1' value =''>&nbsp;<br>
<a href='op:fileselect'>Выбрать файл</a><br>";

echo "<input type=submit value='Загрузить'>
	  </form><br>";
}
}else{ echo "Ипать, колотить! Смотрите, у нас Хакир завелся!!!<br>";}
}else{ echo "Ну и каково Фуя ты здесь забыл???<br>";}
echo "[<a href='../index.php?did=$did&SID=$SID'>К папке</a>]<br>
[<a href='../index.php?SID=$SID'>К загрузкам</a>]<br>
[<a href='../../index.php?SID=$SID'>На главную</a>]";}
include_once"../../themes/$config_themes/foot.php";
?>